<template>
  <div class="accInfo">

    <div class="autor">
      <div class="autor__left">
        <img src="@/assets/img/account/ava.png" alt="">
      </div>
      <div class="autor__right">
        <div class="autor__right__Name">Aubrey Russell</div>
        <div class="autor__right__Id">ID 1223 4556</div>
      </div>
      <div class="statusIcon">
        <img src="@/assets/img/account/v.svg" alt="statusIcon">
      </div>
    </div>

    <div class="block__line"></div>

    <div class="totalBalance">
      <div class="totalBalance__left">Total balance</div>
      <div class="totalBalance__right">4,891,782 €</div>
    </div>

    <div class="balance">
      <div class="balance__left">Gaming account balance</div>
      <div class="balance__right">1,501 €</div>
    </div>

    <div class="balance">
      <div class="balance__left">Bonus balance</div>
      <div class="balance__right">1000 €</div>
    </div>

    <button
      @click="toDeposit"
      type="button"
      class="btn btn--withBtn depositBtn"
    >
      Make deposit
      <span class="btn-in-btn">
        <img src="@/assets/img/svg/triangle.svg" alt="Arrow">
      </span>
    </button>
  </div>
</template>

<script>
	export default {
		name: "AccInfo",
		methods: {
			toDeposit() {
				console.log('toDeposit!')
			}
		}
	}
</script>

<style lang="sass" scoped>
  .autor
    display: flex
    justify-content: flex-start
    margin-bottom: 25px

    &__left
      display: flex
      justify-content: center
      align-items: center
      margin-right: 20px
      padding: 4px
      border: solid 2px #F3F4F5
      border-radius: 50%

    &__right
      display: flex
      flex-direction: column
      justify-content: center

      &__Name
        color: #000521
        font-size: 24px

      &__Id
        font-size: 14px
        color: #636E7E

  .statusIcon
    display: flex
    justify-content: center
    align-items: center
    position: absolute
    width: 23px
    height: 23px
    left: 63px
    background: #86C339
    border-radius: 50%


  .totalBalance
    display: flex
    justify-content: space-between
    align-items: center
    color: #000521
    margin: 25px 0 30px

    &__left
      font-size: 16px

    &__right
      font-size: 24px
      font-weight: 500

  .balance
    display: flex
    justify-content: space-between
    color: #636E7E
    align-items: center
    margin: 15px 0

    &__left
      font-size: 14px
      color: #636E7E

    &__right
      font-size: 16px
      color: #000521

  .depositBtn
    margin: 30px 0 10px
</style>
